Flipkart Seller
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-flipkart-seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "itm4d0125d9c2c65"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-flipkart-seller"
payload = { "product": "itm4d0125d9c2c65" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'itm4d0125d9c2c65'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-flipkart-seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "flipkart_seller",
"product": "itm4d0125d9c2c65",
"human": "# Flipkart seller\n\n- **Product:** itm4d0125d9c2c65\n- **Proxy traffic:** 196.3 KB\n- **Name:** Campusactivewear\n- **Rating:** 4.5\n- **Years with Flipkart:** 9\n- **Quality score:** 92%",
"machine": {
"seller": {
"id": null,
"name": "Campusactivewear",
"rating": 4.5,
"years_with_flipkart": 9,
"product_sold": "2.6L+",
"quality_score": 92,
"speed_score": 84,
"product_quality_rating": 4.6,
"service_quality_rating": 4.2,
"description": "Campus Shoes, the most popular Brand in Indian Footwear Market. The long journey towards achieving this prestigious spot started in 1983. The propelling factor behind Action Group in ushering the smal",
"product_id": "SHOG6BNGSFQGPPED"
},
"proxy_traffic_bytes": 200987
},
"total_points": 5
}E-commerce & Marketplaces
Flipkart Seller
Get the Flipkart seller offering a given product: name, rating, years on Flipkart, units sold, quality/speed scores, product/service quality ratings and description. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-flipkart-seller
Flipkart Seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Item ID or product URL. e.g. itm4d0125d9c2c65
Response
Run completed.